Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.auth.callback
Class ContextHandlerCallback

    java.lang.Object
      weblogic.security.auth.callback.ContextHandlerCallback

All Implemented Interfaces:
  Callback

    public class ContextHandlerCallback

extends Object
implements Callback

This callback passes the ContextHandler to `LoginModule.login()` methods.

The underlying security services instantiate and pass a `ContextHandlerCallback` to the `invokeCallback` method of a `CallbackHandler` to retrieve the `ContextHandler` related to this security operation. If no ContextHandler is associated with this operation, `javax.security.auth.callback.UnsupportedCallbackException` is thrown.

See Also:
  `CallbackHandler`, `UnsupportedCallbackException`

Constructor Summary
`ContextHandlerCallback()` Constructs a `ContextHandlerCallback`.

Method Summary
`ContextHandler` | `getContextHandler()` The ContextHandler, if any, that was passed in.
`void` | `setContextHandler(ContextHandler contextHandler)` Set the value of the ContextHandler attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextHandlerCallback

    public ContextHandlerCallback()

  Constructs a `ContextHandlerCallback`.

Method Detail

### getContextHandler

    public ContextHandler getContextHandler()

  The ContextHandler, if any, that was passed in.

  Returns:
    The ContextHandler
  See Also:
    `ContextHandler`

### setContextHandler

    public void setContextHandler(ContextHandler contextHandler)

  Set the value of the ContextHandler attribute.

  Parameters:
    `contextHandler` - The non-null ContextHandler
  See Also:
    `ContextHandlerCallback.getContextHandler()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD